Please package flashplugin 64bit

Bug #326555 reported by kulight on 2009-02-07
This bug report is a duplicate of:  Edit Remove
326
This bug affects 60 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Wishlist
Unassigned
Declined for Karmic by Brian Murray
Declined for Lucid by Chris Coulson

Bug Description

Binary package hint: flashplugin-nonfree

The current (32-bit) flashplugin-nonfree package in x86_64 versions of Ubuntu has been reported to be unstable by countless users with various hardware configurations. Meanwhile, the x86_64 version of Adobe's Flash plugin has been reported to work fine by many of the same users.

Ubuntu should replace the existing flashplugin-nonfree package with a version that installs the x86_64 version. Failing this, Ubuntu should at least provide a package with a name like flashplugin-nonfree64 alongside flashplugin-nonfree, so that x86_64 Ubuntu users have a flash option that actually works properly.

Even Debian has already done this, and their flashplugin-nonfree package works fine in Ubuntu:
http://packages.debian.org/testing/flashplugin-nonfree

Dave Gilbert (ubuntu-treblig) wrote :

Maybe, but I've tried it and it seems a hard choice.
32bit crashes under nspluginwrapper but rarely takes out the browser (just gives grey boxes instead of flash).
64bit just nukes the browser when it crashes.

kulight (kulight) wrote :

when thinking about it you may have a point...
maybe two packs that you can choose from ?

John Vivirito (gnomefreak) wrote :

This will not be packaged in Ubuntu until it is stable from adobe i will leave it open to catch duplicates

Changed in flashplugin-nonfree:
importance: Undecided → Wishlist
status: New → Incomplete
Mingming Ren (portis25) wrote :

For those who want native x64 flashplugin, just download it from debian's repo:

http://packages.debian.org/sid/flashplugin-nonfree

It works perfectly.

Kimiko Koopman (kimiko) wrote :

Thanks for the link, Mingming :)

FWIW, I've found the native amd64 Flash plugin to be very stable (been using it ever since the first 10,0,15 version), much better than the 32bit one in fact. Please update Ubuntu so we don't have to mess with nspluginwrapper anymore.

For those of you having trouble with it, there's a new version 10,0,22 now for you to try.

John Vivirito (gnomefreak) wrote :

This is most likely not going to happen (i dont advise it) until it is stable release, Maye for KK we can do unstable release but not in Ubuntu stable released (Jaunty included since we hit FF
This would be nice for a sync

Gordon Hopper (gohopper) wrote :

I understand the reluctance to package the "alpha" from Adobe Labs in Ubuntu stable. However, I find the 64-bit plugin to be more stable than the 32-bit plugin with nspluginwrapper and thunking.

(Those who do not want to wait for a package can download it from http://labs.adobe.com/downloads/flashplayer10.html and install it to ~/.mozilla/plugins/)

Alexander Sack (asac) wrote :

problem is that we don't have a stable URL for downloading those beta releases. also there is no official support from adobe security wise, which is the other main blocker on installing 64-bit by default

Jean-Louis Dupond (dupondje) wrote :

The native 64bit should really be packaged. I installed the flashplugin-nonfree package on my 64bit system, but it seems that connections from flash to external pages are broken. (this happens with the games @ netlog.com if somebody would care to check :)).

I installed the native 64bit version, and there it just runs perfect !

Martin (lodp) wrote :

I'm using the 64-bit alpha version and it's working great. I have been experiencing browser crashes once in a while, but I don't know if that's due to the plugin (how can you tell?). However, even if it's the plugin that causes those crashes, they are much less annoying than constantly having to reload pages for flash content to show up instead of grey boxes.

John Vivirito (gnomefreak) wrote :

It will be a while before it gets packaged since it is fairly far from being released.

Changed in flashplugin-nonfree (Ubuntu):
status: Incomplete → Confirmed
Shaikailash (steve-doc-brown) wrote :

I have tried everything, from the official latest release of flash plugin from Adobe website , to the flashplugin-nonfree of the repository (that it's the same version....10.0.22.87).

I use Kubuntu 9.04 64bit.
Firefox installed from repo, latest version 3.0.10.

When I am seeing a flash video in firefox sometimes the video flash become of grey colour and I have to reload the web page to see again the flash video (and of course to reload it again -.-)
I actually don't know if it's an issue related to firefox or to flash itself.

This is a common issue, many 64bit users have it! Flash is actually a necessary element of every computer, it's quite hard this problem.
Thank you

Micah Gersten (micahg) wrote :

Indeed, but we're waiting on Adobe for an official release.

Kẏra (thekyriarchy) wrote :

Here is my understanding of the issue:

We know that 64-bit Flash alplace and alpha 2 (alpha refresh) are more stable than the 32-bit Flash, but that isn't the problem. We would make an exception to include it in Ubuntu, but the current script can olny download Flash from archive.canonical.com which cannot host non-final software for other reasons. My impression was that we need permission from Adobe, but i'm note sure what, "here is no official support from adobe security wise" means, but i think that since this is the only read thing impeding this, we should contact Adobe immediately to work around this.

As far as other possible workarounds go, the old script that didn't take the file from archive.canonical and simply took it straight from Adobe ran into tons of errors so it would be unwise to go back to that method. I was, however, unaware of the link:
http://packages.debian.org/sid/flashplugin-nonfree

If the 64-bit package there uses the latest native 64-bit Flash (alpha 2), could we use that with the script?

Andres Mujica (andres.mujica) wrote :

Danny, the Debian package downloads directly from Adobe, same as our old solution.. i guess we should wait a little bit.

Mike Arthur (mikearthur) wrote :

Another +1 for the x86_64 alpha being far, far, far more stable than the nspluginwrapper cludge that is used currently.

Flash is used by a lot of people on a regular basis so I'm surprised to see that the flash support in Ubuntu x86_64 is so poor.

manzur (sl-solaris) wrote :

Micah Gersten: Indeed, but we're waiting on Adobe for an official release.
Me: If i am not wrong it is yet official released, but it is not packaged yet.

Vincent Law (vincentlaw) wrote :

@manzur: I'm also highly interested in it, but we must admit that the plugin is "officially" __alpha__ released through adobe's lab ...

In some cases (http://forums.adobe.com/thread/35606) including mine, this plugin hangs the browser up on many sites with "illegal instruction" error message.
Having made some searches, this is due to one missing cpu flag ("lahf_lm") used by the plugin.
The gentoo team has found a workaround to it. http://bugs.gentoo.org/268336
If necessary a wrapper emulating the missing flag is compiled and replaces the real .so library.

Is such a work can be considered for ubuntu ?

manzur (sl-solaris) wrote :

Is such a work can be considered for ubuntu ?
yeah in some aspects

LCID Fire (lcid-fire) wrote :

Since the 32bit wrapper died multiple times a day I also installed the 64 "alpha" a week ago and not only does it play nicely with pulseaudio it also crashed not once.
IMO the status of the 32bit wrapper is that bad that it can't be shipped - rather remove flash entirely on 64 bit!

marcosbelancon (mbelancon) wrote :

One vote more to flashplugin 64 bits alpha. In the karmic alpha 5 on my computer the nspluginwrapper crashes all the time.

Benjamin Prosnitz (aetherane) wrote :

I'll throw in my vote. The 64-bit alpha is very stable. I upgraded to Karmic recently and was appalled that it still used nspluginwrapper (which consistently crashes for me).

Who cares if the 64-bit plugin is given the name of "alpha", when the state of the current nspluginwrapper configuration could easily be considered less than that?

Simon Ruggier (simon80) on 2009-10-11
description: updated

Confirmed. I agree that if we don't want to include 64-bit Flash yet it's better not to include it at all. Experienced user will find a way to get it and inexperienced one *shouldn't* use this emulated 32-bit version as it works lower than any acceptable standards. I couldn't scroll videos from YouTube, sometimes it hangs completely etc. etc.

32-bit Flash should be erased from 64-bit Karmic - this is my point.

Maybe an acceptable solution would be to make Firefox point to the proper Adobe labs site (when there is a Flash needed) containing 64-bit Flash download so that users could at least download it themselves without searching Google through? This is what I'm talking about:
http://labs.adobe.com/downloads/flashplayer10.html
Firefox could also advise where to unpack the library file.

Sorry for double post - I only wanted to point out that most users aren't aware that it's 32-bit Flash plugin that makes their work unstable - e.g. I initially thought that this is 64-bit version that is so unstable and I even started to look for 32-bit one... :)

Adrian Jadic (jadic) wrote :

I will throw in my vote as well her:

I have been testing Kubuntu Karmic since Alpha releases. I have installed the 64-bit version of flashplugin manually (copied into directory) and have had no problem since.

My only complaint is that Konqueror is prompting through Update notifier that I need to install the repository package (nsplugin) which I simply don't want to. Lately there seems a way to make the update notifier shut up.

So yes. Can we please replace the package with a proper 64-bit one? I too don't care if it's an alpha. It just works fine. I also see no problem of having both packages available - the nsplugin and the true 64-bit one.

LAZA (laza74) wrote :

For me I got a problem since I installed Karmic new:
1. Installation
2.'Software Center' --> extras for Ubuntu (mp3, avi, mpge, TrueType, Java, Flash; Codecs)

Cause of non-functional videos on some sites (???) i deinstalled flashplugin-nonfree und manuelly installed the 10.0.32.18 version from 7/30/09 (seems to me a long time for a alpha version?).
In Jaunty I got NOT ONE problem (with FF 3.0.x) with it, stable and even fast.

But for me it looks like Firefox have a problem with it - look here: #471661
Also most of the movies 'flickers' in a strange way, on some sites the background 'comes through'... - and on some sites unexpected crashes without crash report!

BUT: I don't want nspluginwrapper back! 75 results with 3 high importance speak for itself!

LAZA wrote:
> For me I got a problem since I installed Karmic new:
> 1. Installation
> 2.'Software Center' --> extras for Ubuntu (mp3, avi, mpge, TrueType, Java, Flash; Codecs)
>
> Cause of non-functional videos on some sites (???) i deinstalled flashplugin-nonfree und manuelly installed the 10.0.32.18 version from 7/30/09 (seems to me a long time for a alpha version?).
> In Jaunty I got NOT ONE problem (with FF 3.0.x) with it, stable and even fast.
>
> But for me it looks like Firefox have a problem with it - look here: #471661
> Also most of the movies 'flickers' in a strange way, on some sites the background 'comes through'... - and on some sites unexpected crashes without crash report!
>
> BUT: I don't want nspluginwrapper back! 75 results with 3 high
> importance speak for itself!
>
>
Thanks for your reply since that time i could resolve my problem which
was due to the amd64 architecture incompatible with the instruction set
used by the 64 version. It has a fix patch to install on the same
directory as the .so plugin of firefox, it is a .C file which needs to
be compiled.
This is the link to the .C file if you want to post a resolution ticket.
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=70;filename=flashplugin-lahf-fix.tar.gz;att=1;bug=509018

thanks and good continuation

Yoritomo

boxee 64bit package depends on flashplugin-nonfree and this is why I notice about the problem.

Why not make another package for alpha 64bit?

Also adobe package will stay in alpha for a looong time just because they not provide full support
on this unused package (one of major distro, ubuntu, do not install it!)

Daniele

Micah Gersten (micahg) wrote :

The main reason is no guaranteed security support from Adobe on the
alpha, if I remember correctly.

Here's a comment about the 64 bit release from Adobe:
http://kb2.adobe.com/cps/000/6b3af6c9.html

On 01/13/2010 03:29 AM, Daniele Smartango wrote:
> boxee 64bit package depends on flashplugin-nonfree and this is why I
> notice about the problem.
>
> Why not make another package for alpha 64bit?
>
> Also adobe package will stay in alpha for a looong time just because they not provide full support
> on this unused package (one of major distro, ubuntu, do not install it!)
>
> Daniele
>
>

kulight (kulight) wrote :

there is a ppa now:
https://launchpad.net/~sevenmachines/+archive/flash

On Wed, 2010-01-13 at 16:12 +0000, Micah Gersten wrote:
> The main reason is no guaranteed security support from Adobe on the
> alpha, if I remember correctly.
>
> Here's a comment about the 64 bit release from Adobe:
> http://kb2.adobe.com/cps/000/6b3af6c9.html
>
> On 01/13/2010 03:29 AM, Daniele Smartango wrote:
> > boxee 64bit package depends on flashplugin-nonfree and this is why I
> > notice about the problem.
> >
> > Why not make another package for alpha 64bit?
> >
> > Also adobe package will stay in alpha for a looong time just because they not provide full support
> > on this unused package (one of major distro, ubuntu, do not install it!)
> >
> > Daniele
> >
> >
>

Benjamin Kay (benkay) wrote :

I've edited the wiki page on Flash to emphasize the merits of using the 64-bit flash plugin.

https://help.ubuntu.com/community/RestrictedFormats/Flash

Inasmuch as we can't package 64-bit flash for political reasons, I think it would be great if we followed Michał Gołębiowski's suggestion in removing flashplugin-nonfree and flashplugin-installer from Lucid's 64-bit repos.

Micah Gersten (micahg) wrote :

This is not for political reasons. Also, I don't know if the Community
Docs should reflect something that's unsupported.

On 04/01/2010 09:11 AM, Benjamin Kay wrote:
> I've edited the wiki page on Flash to emphasize the merits of using the
> 64-bit flash plugin.
>
> https://help.ubuntu.com/community/RestrictedFormats/Flash
>
> Inasmuch as we can't package 64-bit flash for political reasons, I think
> it would be great if we followed Michał Gołębiowski's suggestion in
> removing flashplugin-nonfree and flashplugin-installer from Lucid's
> 64-bit repos.
>
>

Mike Arthur (mikearthur) wrote :

The security and/or alpha status decision are political reasons. A pragmatist would say that the x86_64 actually provides a better user experience and makes Ubuntu look better and could be pulled (if necessary) if there is a major security problem.

Simply put, the nspluginwrapper solution does not work nearly well enough. Flash is important for many users to use the web. It's simply not good enough that this issue has been raised for over a year without any resolution.

Most users won't even look at the wiki, they will just install Flash using Synaptic, it'll crash their browser, they'll say "Ubuntu sucks" and move on. Saying this information shouldn't even be on the wiki is beyond ridiculous.

nspluginwrapper is a buggy hack. I'm not sure why it's seen to be of higher quality than an alpha release made by the actual creators of Flash.

Micah Gersten (micahg) wrote :

On 04/01/2010 10:00 AM, Mike Arthur wrote:
> The security and/or alpha status decision are political reasons. A
> pragmatist would say that the x86_64 actually provides a better user
> experience and makes Ubuntu look better and could be pulled (if
> necessary) if there is a major security problem.
>
Pulling is not looked on as a favorable option.
> Simply put, the nspluginwrapper solution does not work nearly well
> enough. Flash is important for many users to use the web. It's simply
> not good enough that this issue has been raised for over a year without
> any resolution.
>
> Most users won't even look at the wiki, they will just install Flash
> using Synaptic, it'll crash their browser, they'll say "Ubuntu sucks"
> and move on. Saying this information shouldn't even be on the wiki is
> beyond ridiculous.
>
> nspluginwrapper is a buggy hack. I'm not sure why it's seen to be of
> higher quality than an alpha release made by the actual creators of
> Flash.
>
>
I have no trouble with 32 bit Flash on a 64 bit system. In fact, since
Karmic, it's been very stable.

LCID Fire (lcid-fire) wrote :

I totally agree with Mike since unlike Micah I had serious stability issues with nspluginwrapper in karmic.

I don't think the alpha version of flash is ready yet to be included for basically the same reason that the ndiswapper solution should not be included - they both have problems.

The alpha version seems ok on the surface, but it has one mayor flaw - embedded links simply do not fire when clicked, making it impossible for instance to play flash games or to use web sites that incorporate flash navigation.

I for one think it's pathetic that Adobe is so slow in supporting 64-bit in Linux...

Kẏra (thekyriarchy) wrote :

On Thu, May 13, 2010 at 19:27, Terry Herckenrath <email address hidden>wrote:

> I don't think the alpha version of flash is ready yet to be included for
> basically the same reason that the ndiswapper solution should not be
> included - they both have problems.
>
> The alpha version seems ok on the surface, but it has one mayor flaw -
> embedded links simply do not fire when clicked, making it impossible for
> instance to play flash games or to use web sites that incorporate flash
> navigation.
>

I've never encountered these problems. Can you link me to some flash site
where i should have this problem?

I for one think it's pathetic that Adobe is so slow in supporting 64-bit
> in Linux...
>

Linux is currently the only platform Adobe is supporting 64-bit on. That's
not to say Flash isn't riddled with problems, and i do agree with your
sentiment, but linux is the only platform which runs flash in 64-bit to the
best of my knowledge.

@Danny Piccirillo
> Linux is currently the only platform Adobe is supporting 64-bit on.
>
And Linux users care about that because of only one reason - that 64-bit distributions forces all standard applications in repositories to be 64-bit. I personally think it would be better if even 64-bit Ubuntu shipped 32-bit Firefox, because there is no real gain and there are problems (e.g. in Flash). Please note that there isn't even any official 64-bit build of Firefox Windows and Mac OS X and nobody cares, 32-bit version works.

If 64-bit Ubuntu worked with 32-bit Firefox, we would also not care about slow development of 64-bit Flash...

Micah Gersten (micahg) wrote :

@all

This is not a forum, this is a packaging request. Please go to
http://ubuntuforums.org/ to discuss your opinions on Linux, Ubuntu, and
Flash. When it's ready, we'll package it.

Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → Michael Asbury asbury (asbury-com)
Micah Gersten (micahg) wrote :

@Michael Asbury asbury
Please don't assign yourself bugs that you are not working on fixing.

Changed in flashplugin-nonfree (Ubuntu):
assignee: Michael Asbury asbury (asbury-com) → nobody
aslam karachiwala (akwala) wrote :

This is moot, since Adobe has pulled the plug on 64-bit Flash for Linux:
http://labs.adobe.com/downloads/flashplayer10_64bit.html

Micah Gersten (micahg) wrote :

Adobe has discontinued the 64 bit flash plugin trial. I'm closing this bug until they actually release a 64 bit version and there's something for us to do.

Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Invalid
Seth O'Bannion (saobannion) wrote :

It seems Adobe has finally issues another 64-bit preview. It seems to be working fine for me so far, so will discussion open again?
http://labs.adobe.com/downloads/flashplayer10.html

Benjamin Drung (bdrung) wrote :

I am reopening this bug report. We won't include the 64bit flashplugin in our archive until there is an official (non-beta) release from Adobe. For the beta release of the flashplugin someone can provide a PPA.

Changed in flashplugin-nonfree (Ubuntu):
status: Invalid → Triaged
Fabián Rodríguez (magicfab) wrote :

I've written a FAQ about installing the 64bit Flash plugin manually (tested in Maverick):
https://answers.edge.launchpad.net/ubuntu/+faq/1320

Chris Coulson (chrisccoulson) wrote :

I've removed the reference to the FAQ from the release notes. The current 64-bit plugin has no commitment from Adobe to fix security issues and the plugin has already been pulled once, leaving 64-bit users exposed to pretty bad security vulnerabilities.

64-bit users can already install the 32-bit plugin using the package manager

Jeremy Bicha (jbicha) wrote :

Fabián, I like the 64-bit Flash installation instructions at https://help.ubuntu.com/community/RestrictedFormats/Flash . By using the ppa, updates are nearly automatic.

Fabián Rodríguez (magicfab) wrote :

Jeremy, those are very verbose and have some mistakes. Tx. for bringing them to my attention - I was focusing on this specific problem, not on Flash in general.

Fabián Rodríguez (magicfab) wrote :

Chris, we should inform the users and they should decide. I've added the information you provide to the FAQ. I'll see if we add the link again from the release notes and how.

I want to warn that the 64-bit version of Flash player has a problem with the return from full screen mode in some flash-based video players when ATI driver is installed.

Anders Kaseorg (andersk) wrote :

Flash Player 11 was released last night, finally with official 64-bit Linux support.

http://get.adobe.com/flashplayer/otherversions/

Micah Gersten (micahg) wrote :

That post is not from an Ubuntu developer. It will happen when it happens.

Micah Gersten (micahg) wrote :

I'm sorry, I should be a little more clear. This is being worked on and will land as soon as sanely possible. I will make sure this bug is closed when this is actually fixed.

Joel Ebel (jbebel) wrote :

Micah, will Flash 11 64 bit be made available in Lucid, or will it be staying on Flash 10?

Jan Visser (starquake) wrote :

In the meantime you might wanna try this:
https://launchpad.net/~sevenmachines/+archive/flash

Jan Visser (starquake) wrote :

Oh I'm sorry already mentioned in this thread

Stu Zhao (sao3) wrote :

What the flashplugin-installer package currently does is that in postinst script, it downloads http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_11.0.1.152.orig.tar.gz, and install the 32-bit flash plugin from it. However, the package contains both amd64 version and i386 version.

I think flashplugin-installer for amd64 should be fixed so that it extracts 64bit flash plugin from it. This should be very easy to fix.

@RussianNeuroMancer, I think there is no need to fix restricted-addons package, if flashplugin-installer is fixed to 64bit flash.

The adobe-flashplugin package from partner repository contains a proper 64-bit Flash plugin so you can install that one instead of flashplugin-installer.

Corey B. (cbodendein) wrote :

But if you install ubuntu-restricted-extras it installs flashplugin-installer which installed a bunch of i386 dependencies that I had to clean out.

Shaikailash (steve-doc-brown) wrote :

Absolutely right Corey, you got the point which seems missing in the official view.
To add the partner repository and look for adobe-flashplugin IS NOT AN USER-FRIENDLY SOLUTION!
We cannot even advice user to install the extras packages because it will install flash-plugin 32 bits!
Again, if you want to be user-friendly, 64 bit users must have only one package, 64bit, in the default repos.

P.S. Description of the two packages are also outdated. They still refers to Firefox 3....I can assure you that many users are experiencing difficulties with this flash issue (which could be a non-issue, in the end...).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions